import { ref as p, inject as l, openBlock as r, createElementBlock as i, Fragment as _, renderSlot as d, unref as u, createElementVNode as t, pushScopeId as f, popScopeId as h, createTextVNode as v } from "vue";
import { G as I } from "./GraphIcon-cfc33dfe.js";
import { _ as S } from "./DashboardPlugin-2e4f6b9c.js";
const g = (e) => (f("data-v-28e76aab"), e = e(), h(), e), C = { ref: "instance" }, N = /* @__PURE__ */ g(() => /* @__PURE__ */ t("div", { class: "sample-component" }, [
  /* @__PURE__ */ v("this is a sample component "),
  /* @__PURE__ */ t("div", null, [
    /* @__PURE__ */ t("p", null, "more of the component goes here")
  ])
], -1)), b = [
  N
], w = /* @__PURE__ */ Object.assign({
  inheritAttrs: !1
}, {
  __name: "SampleComponent",
  setup(e) {
    const a = p("New Custom Component!"), s = shallowRef([{ comp: I, event: c }]);
    function c() {
      alert("test icon function");
    }
    const o = l("emitter");
    let m = {};
    return o.emit("SampleComponent-eventName", m), o.on("ImageSelector-mbfImageSelected", (n) => {
    }), (n, x) => (r(), i(_, null, [
      d(n.$slots, "default", {
        widgetName: a.value,
        childIcons: u(s)
      }, void 0, !0),
      t("div", C, b, 512)
    ], 64));
  }
}), B = /* @__PURE__ */ S(w, [["__scopeId", "data-v-28e76aab"]]);
export {
  B as default
};
